diff --git a/doc/src/sgml/ref/pg_xlogdump.sgml b/doc/src/sgml/ref/pg_xlogdump.sgml
new file mode 100644
index cfb6d87..4b6e79c
*** a/doc/src/sgml/ref/pg_xlogdump.sgml
--- b/doc/src/sgml/ref/pg_xlogdump.sgml
*************** PostgreSQL documentation
*** 117,125 ****
        <term><option>--path=<replaceable>path</replaceable></option></term>
        <listitem>
         <para>
!         Directory in which to find log segment files.  The default is to search
!         for them in the <literal>pg_wal</literal> subdirectory of the current
!         directory.
         </para>
        </listitem>
       </varlistentry>
--- 117,126 ----
        <term><option>--path=<replaceable>path</replaceable></option></term>
        <listitem>
         <para>
!         Specifies a directory in which to find log segment files.
!         In addition, searches are performed in the current directory,
!         and the <literal>pg_wal</literal> subdirectory of both the current
!         directory and the <envar>PGDATA</envar> directory.
         </para>
        </listitem>
       </varlistentry>
diff --git a/src/bin/pg_xlogdump/pg_xlogdump.c b/src/bin/pg_xlogdump/pg_xlogdump.c
new file mode 100644
index 0ad441e..e83233f
*** a/src/bin/pg_xlogdump/pg_xlogdump.c
--- b/src/bin/pg_xlogdump/pg_xlogdump.c
*************** usage(void)
*** 680,686 ****
  	printf(_("  -f, --follow           keep retrying after reaching end of WAL\n"));
  	printf(_("  -n, --limit=N          number of records to display\n"));
  	printf(_("  -p, --path=PATH        directory in which to find log segment files\n"
! 			 "                         (default: ./pg_wal)\n"));
  	printf(_("  -r, --rmgr=RMGR        only show records generated by resource manager RMGR\n"
  			 "                         use --rmgr=list to list valid resource manager names\n"));
  	printf(_("  -s, --start=RECPTR     start reading at log position RECPTR\n"));
--- 680,686 ----
  	printf(_("  -f, --follow           keep retrying after reaching end of WAL\n"));
  	printf(_("  -n, --limit=N          number of records to display\n"));
  	printf(_("  -p, --path=PATH        directory in which to find log segment files\n"
! 			 "                         (default: current directory, ./pg_wal, PGDATA/pg_wal)\n"));
  	printf(_("  -r, --rmgr=RMGR        only show records generated by resource manager RMGR\n"
  			 "                         use --rmgr=list to list valid resource manager names\n"));
  	printf(_("  -s, --start=RECPTR     start reading at log position RECPTR\n"));
